
let content, remoteVideoEl;
const store = window.store = new Store({
	conference_id: 'DDD'.replace(/D/g, ()=>Math.random()*10|0), // LUCID
	connection: false,
	webcamtypes: [
		{text: 'Center', value: 'Center', filter: 'OfficeUserLeft'},
		{text: 'Right', value: 'Right', filter: 'RemoteUser'},
		{text: 'Left', value: 'Left', filter: 'RemoteUser'},
	],
	userRoles: [
		{text: 'Remote User', value: 'RemoteUser'},
		{text: 'Office User', value: 'OfficeUserLeft'},
		/*{text: 'Office User Right', value: 'OfficeUserRight'},
		{text: 'Office User Left', value: 'OfficeUserLeft'},*/
	],
});


const isConnected = new Store.Value.Boolean(false);
store.sub('connection', function(val) {
	isConnected.set(val)
});

Screen.show('Main');



/*
		canvasCtx.save();
		canvasCtx.clearRect(0, 0, canvasElement.width, canvasElement.height);
		canvasCtx.drawImage(results.segmentationMask, 0, 0,
			canvasElement.width, canvasElement.height);

		// Only overwrite existing pixels.
		canvasCtx.globalCompositeOperation = 'source-in';
		canvasCtx.fillStyle = '#ffffff';
		canvasCtx.fillRect(0, 0, canvasElement.width, canvasElement.height);

		// Only overwrite missing pixels.
		canvasCtx.globalCompositeOperation = 'destination-atop';
		canvasCtx.drawImage(
			results.image, 0, 0, canvasElement.width, canvasElement.height);

		canvasCtx.restore();
	}
*/

